#ifndef _MTEXT_H_
#define _MTEXT_H_

// trieda premennych a funkcii pre pracu s OpenGL textom
class mText {
public:
 mText();          // konstruktor
 virtual ~mText(); // destruktor

 char mybuf[255]; // ulozenie vypisovaneho textu

 int text_initialize(void);            // inicializacia vypisovania OpenGL textu
 void OpenDrawString(void);            // zacatie vypisu textu
 void DrawString(GLfloat x,GLfloat y); // vypis textu
 void CloseDrawString(void);           // ukoncenie vypisu textu
 void SetTextColor(GLfloat a,GLfloat b,GLfloat c); // nastavenie farby textu
 void SetFontSize(GLuint a);                       // nastavenie velkosti textu
private:
 char *mystring;       // ukazatel na ulozeny text

 GLfloat TextColor[4]; // farba textu
 GLuint FontSize;      // velkost textu
};

#endif
